<?php /* Template Name: Home Page */ get_header(); ?>

  <main>
    <section class="top">
      <div class="background__box">
        <?php 
          $image = get_field('banner');
          if( !empty( $image ) ): ?>
              <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" class="background" />
        <?php endif; ?>
        <?php 
          $image = get_field('banner_mobile');
          if( !empty( $image ) ): ?>
              <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" class="background-small" />
        <?php endif; ?>
      </div>
      <div class="wrapper">
        <div class="container-fluid">
          <div class="row top__row justify-content-start  justify-content-sm-center  top__inner">
            <div class="col-12 top__items">
              <h1 class="page-title" style="display:none">Unicorn Baby</h1>
              <?php 
                $image = get_field('banner_title');
                if( !empty( $image ) ): ?>
                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" class="top__item-img" data-aos="fade-up" />
              <?php endif; ?>
              <div class="top__item-text" data-aos="fade-up" data-aos-delay="300">
                <?php the_field('banner_excerpt'); ?>
              </div>
              <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal" data-aos="fade-up" data-aos-delay="600">
                <?php the_field('banner_button'); ?>
              </button>

              <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-body">
                      <h5 class="modal-title" id="exampleModalLabel"><?php the_field('form_modal_title'); ?></h5>
                      <div class="modal-text">
                        <?php the_field('form_modal_description'); ?>
                      </div>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

                      <?php echo do_shortcode('[contact-form-7 id="0159556" title="Modal Form"]'); ?>

                    </div>

                    <div class="modal-loading"></div>
                  </div>
                </div>
              </div><!-- Modal -->

            </div>
          </div>
        </div>
    </section>

    <section class="about" id="about">
      <div class="wrapper">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <h2 data-aos="fade-up">
                <?php the_field('about_title'); ?>
              </h2>
            </div>
          </div>
          <div class="about__inner">

            <?php if(have_rows('about_row')) : while(have_rows('about_row')) : the_row();
            $image = get_sub_field('image');
            $count = get_row_index(); ?>
              <div class="row about-row" data-aos="fade-up" data-aos-delay="<?php echo  $count++; ?>00">
                <div class="col-xs-12 col-lg-4 <?php if($count%2 != 0): ?> offset-lg-1<?php endif; ?>">
                  <div class="about__image-wrap">
                    <img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt'] ?>" />
                  </div>
                </div>
                <div class="col-lg-7">
                  <div class="about__text-wrap">
                    <h5>
                      <?php the_sub_field('title'); ?>
                    </h5>
                    <?php the_sub_field('description'); ?>
                  </div>
                </div>
              </div>
            <?php endwhile; ?>
            <?php endif; ?>

          </div>
        </div>
      </div>
    </section>

    <section class="advantages" id="advantages">
      <div class="wrapper">
        <div class="container-fluid">
          <div class="advantages__inner">
            <h2 class="advantages__title" data-aos="fade-up"><?php the_field('advantages_section_title'); ?></h2>
            <div class="row advantages-row">

            <?php if(have_rows('advantages_cards')) : while(have_rows('advantages_cards')) : the_row();
            $image = get_sub_field('image'); ?>
              <div class="col-12 col-xs-6 col-sm-6 col-lg-4  advantage-col" data-aos="fade-up" data-aos-delay="300">
                <div class="advantages__item">
                  <div class="advantages__wrap-img">
                    <img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt'] ?>" />
                  </div>
                  <p><?php the_sub_field('title'); ?></p>
                </div>
              </div>
            <?php endwhile; ?>
            <?php endif; ?>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section class="service" id="service">
      <div class="wrapper">
        <div class="container-fluid">
          <div class="service__inner">
            <h2 class="service__title" data-aos="fade-up">
              <?php the_field('services_section_title'); ?>
            </h2>
            <div class="row service-row" data-aos="fade-up" data-aos-delay="300">
              <?php if(have_rows('services_cards')) : while(have_rows('services_cards')) : the_row();
              $image = get_sub_field('image');
              $count = get_row_index(); ?>
                <div class="col-lg-5 col-md-12 <?php if($count%2 == 0): ?> offset-lg-2<?php endif; ?>">
                  <div class="service__item-wrap">
                    <div class="service__img-wrap">
                      <img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt'] ?>" class="service__item-img" />
                    </div>
                    <h4 class="service_item-title">
                      <?php the_sub_field('title'); ?>
                    </h4>
                    <div class="service__item-text">
                      <?php $text = get_sub_field('description');
                            echo substr($text, 0, 200) ?>
                    </div>
                    <a class="btn btn-primary" data-bs-toggle="modal" href="#exampleModalToggle<?php echo $count; ?>" role="button">
                      <?php 
                        global $post;
                        $post_slug = $post->post_name;
                      ?>
                      <?php if($post_slug == 'home') {
                          $post_slug = 'En';
                        } else {
                          $post_slug = $post_slug;
                        } ?>
                      <?php if($post_slug == 'En') : ?>
                         More
                      <?php endif; ?>
                      <?php if($post_slug == 'de') : ?>
                        Mehr
                      <?php endif; ?>
                      <?php if($post_slug == 'fr') : ?>
                        Plus
                      <?php endif; ?>
                      <?php if($post_slug == 'it') : ?>
                        Di più
                      <?php endif; ?>
                    </a>
                  </div>
                </div>
              <?php endwhile; ?>
              <?php endif; ?>
            </div>
          </div>
        </div>
      </div>


      <div class="service__modals">
        <?php if(have_rows('services_cards')) : while(have_rows('services_cards')) : the_row();
        $image = get_sub_field('image');
        $count = get_row_index(); ?>
          <div class="modal fade" id="exampleModalToggle<?php echo $count; ?>" aria-hidden="true" 	aria-labelledby="exampleModalToggleLabel"
            tabindex="-1">
            <div class="modal-dialog modal-dialog-centered modal-xl modal-fullscreen-lg-down">
              <div class="modal-content">

                <div class="modal-header" style="border-bottom: none;">
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <div class="modal-body">
                  <div class="modal__image--wrapper">
                    <img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt'] ?>" class="service__item-img" />
                  </div>
                  <h5 class="service__item-title">
                    <?php the_sub_field('title'); ?>
                  </h5>
                  <div class="service__item-text">
                    <?php the_sub_field('description'); ?>
                  </div>

                  <?php if(have_rows('modal_content_steps')) : while(have_rows('modal_content_steps')) : the_row();
                  $countR = get_row_index(); ?>
                    <h5 class="service__item-title">
                      <span><?php echo $countR; ?>.</span>
                      <?php the_sub_field('title'); ?>
                    </h5>
                    <div class="service__item-text">
                      <?php the_sub_field('content'); ?>
                    </div>
                  <?php endwhile; ?>
                  <?php endif; ?>
                </div>

                <div class="modal-footer">
                  <button class="btn btn-primary" data-bs-target="#exampleModal" data-bs-toggle="modal"
                    data-bs-dismiss="modal">
                    <?php 
                        global $post;
                        $post_slug = $post->post_name;
                      ?>
                      <?php if($post_slug == 'home') {
                          $post_slug = 'En';
                        } else {
                          $post_slug = $post_slug;
                        } ?>
                      <?php if($post_slug == 'En') : ?>
                         GET A CONSULTATION
                      <?php endif; ?>
                      <?php if($post_slug == 'de') : ?>
                        LASSEN SIE SICH BERATEN
                      <?php endif; ?>
                      <?php if($post_slug == 'fr') : ?>
                        OBTENIR UNE CONSULTATION
                      <?php endif; ?>
                      <?php if($post_slug == 'it') : ?>
                       OTTIENI UNA CONSULTAZIONE
                      <?php endif; ?>
                  </button>
                </div>
              </div>
            </div>
          </div>
        <?php endwhile; ?>
        <?php endif; ?>

      </div><!-- /service__modals -->

    </section>

    
		<section class="page_banner">
			<div class="container">
							<div class="row">
						<div class="div col-lg-12" data-aos="fade-up">
									<h2> 
									<?php the_field('first_page_banner_title'); ?>
								</h2>
								<span> 
									<?php the_field('first_page_banner_text'); ?>
								</span>
						</div>
							</div>
						</div>
					</section>


					
							<section class="surrogacy_programs">
						<div class="container">
							<div class="row">
								<h2 data-aos="fade-up">
										<?php the_field('surrogacy_programs_title'); ?>
									</h2>
							</div>
						<div class="row g-3">
							<?php
							if( have_rows('surrogacy_programs') ):
								$i = 0;
								while( have_rows('surrogacy_programs') ) : the_row(); 
								$i++; ?>

				

						<div data-aos="fade-up" class="col-lg-4 col-md-6 col-sm-12">
								<?php if($i == 4) { ?>
                        <strong class="label-element">
                            most popular
                        </strong>
                    <?php } ?>
									<h3><?php the_sub_field('title');?> </h3>
									<span><?php the_sub_field('price'); ?></span>
									<p><?php the_sub_field('description'); ?></p>
									<p><?php the_sub_field('surrogacy_sub'); ?></p>
									<a data-bs-toggle="modal" href="#surrogacy_programs<?php echo $i;?>"><?php the_sub_field('surrogacy_btn'); ?></a>
						</div>
					<?php 
					endwhile;
					endif; ?>
			</div>
		</div>
	</section>



				<section class="page_banner">
			<div class="container">
				<div class="row">
			<div class="div col-lg-12" data-aos="fade-up">
						<h2> 
						<?php the_field('second_page_banner_title'); ?>
					</h2>
					<span> 
						<?php the_field('second_page_banner_text'); ?>
					</span>
			</div>
				</div>
			</div>
		</section>






		<section  class="programs">
			<div class="container">
					<div class="row">
					<h2 data-aos="fade-up">
								<?php the_field('ivf_programs_title'); ?>
						</h2>
					</div>
				<div class="row">
		<?php
			if( have_rows('programs') ):
					$i = 0;
    	while( have_rows('programs') ) : the_row(); 
				$i++; ?>
				<div cdata-aos="fade-up" class="col-lg-4 col-md-6 col-sm-12"> <h3><?php the_sub_field('title');?></h3>
				<span>  <?php the_sub_field('price'); ?> </span>
				<p><?php the_sub_field('description'); ?> </p>
				<a data-bs-toggle="modal" href="#ivf_programs<?php echo $i;?>"><?php the_sub_field('programs_button'); ?></a>
			</div>
		<?php 	
    endwhile;
		endif; ?>
			</div>
			</div>
			</section>








   	 <section class="recall" id="recall">
     	 <div class="wrapper">
        <div class="container-fluid">
          <div class="recall__inner">
            <h2 class="recall__title" data-aos="fade-up">
              <?php the_field('banner_section_title'); ?>
            </h2>
            <div class="recall__text" data-aos="fade-up" data-aos-delay="300">
              <?php the_field('banner_section_description'); ?>
            </div>
            <button class="btn btn-primary" data-bs-target="#exampleModal" data-bs-toggle="modal"
              data-bs-dismiss="modal" data-aos="fade-up" data-aos-delay="600">
							<?php the_field('banner_section_button'); ?>
						</button>
          </div>
        </div>
      </div>
    </section>



  </main>

<?php get_footer(); ?>
